﻿@model (IEnumerable<EducationModel>, IEnumerable<int>)
@using Bll.Models

@if (Model.Item1.Any())
{
    <div class="border border-1 accordion accordion-flush" id="edu-accordionFlushExample">
        @foreach (var item in Model.Item1)
        {
            <div class="accordion-item bg-light-yellow">
                <div class="container w-100">
                    <div class="row">
                        <div class="col-1 p-0">
                            <div>
                                @if (Model.Item2!=null && Model.Item2.Contains(item.Id))
                                {
                                    <input type="checkbox" id="@item.Id" name="EducationIds" value="@item.Id" checked>
                                }
                                else
                                {
                                    <input type="checkbox" id="@item.Id" name="EducationIds" value="@item.Id">
                                }
                            </div>
                        </div>
                        <div class="col-11 p-0">
                            <h2 class="accordion-header" id="edu-flush-heading-@item.Id">
                                <button class="accordion-button collapsed bg-light-yellow" type="button" data-bs-toggle="collapse" data-bs-target="#edu-flush-collapse-@item.Id" aria-expanded="false" aria-controls="#edu-flush-collapse-@item.Id">
                                    @item.EducationalInstitution
                                </button>
                            </h2>
                        </div>
                    </div>
                </div>
                
                
                <div id="edu-flush-collapse-@item.Id" class="accordion-collapse collapse" aria-labelledby="edu-flush-heading-@item.Id" data-bs-parent="#edu-accordionFlushExample">
                    <div class="d-flex flex-column align-items-center accordion-body">
                        <div class="d-flex w-100 mb-3 flex-column">
                            <p class="mb-0">Department</p>
                            <p class="text-muted mb-0">@item.Department</p>
                            <hr>
                            <p class="mb-0">Education Level</p>
                            <p class="text-muted mb-0">@item.EducationLevel</p>
                            <hr>
                            <p class="mb-0">Years</p>
                            <p class="text-muted mb-0">@item.YearStart-@item.YearEnd</p>
                            <hr>
                        </div>
                    </div>
                </div>
            </div>
        }
    </div>
}
else
{
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">No Education</h2>
    </div>
}

